std::exception::what(3)

NAME
std::exception::what - std::exception::what

Synopsis
   virtual const char* what() const throw(); (until C++11)
   virtual const char* what() const noexcept; (since C++11)
   Returns the explanatory string.

Parameters
   (none)

Return value
   Pointer to a null-terminated string with explanatory information. The pointer is
   guaranteed to be valid at least until the exception object from which it is obtained
   is destroyed, or until a non-const member function on the exception object is
   called.